Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357155 - 'fedpkg push' on docker distgit namespace fails 'Could not execute push: No spec file found.'
Summary: 'fedpkg push' on docker distgit namespace fails 'Could not execute push: No s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 21:58 UTC by Adam Miller
Modified: 2016-08-05 21:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 18:55:19 UTC


Attachments (Terms of Use)

Description Adam Miller 2016-07-15 21:58:22 UTC
Description of problem:
$ fedpkg clone docker/cockpit
$ cd cockpit
$ fedpkg push
Could not execute push: No spec file found.

Version-Release number of selected component (if applicable):
fedpkg-1.24-3.fc25.noarch

How reproducible:
Always

I'm not certain if this is fedpkg or rpkg, but it looks like we need to add support somewhere for Dockerfiles to be a first class citizen like spec files.

Comment 1 Fedora Update System 2016-07-15 22:35:40 UTC
rpkg-1.46-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-84f4ba6ca9

Comment 2 Fedora Update System 2016-07-15 22:35:51 UTC
rpkg-1.46-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-84f4ba6ca9

Comment 3 Fedora Update System 2016-07-16 22:57:00 UTC
rpkg-1.46-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c26699c957

Comment 4 Fedora Update System 2016-07-17 01:18:49 UTC
rpkg-1.46-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-84f4ba6ca9

Comment 5 Fedora Update System 2016-07-17 02:22:40 UTC
rpkg-1.46-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-55c3626661

Comment 6 Fedora Update System 2016-07-17 16:23:13 UTC
rpkg-1.46-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a2b1f0769

Comment 7 Fedora Update System 2016-07-18 21:20:13 UTC
rpkg-1.46-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b1aba63eaa

Comment 8 Jan Kurik 2016-07-26 04:12:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 9 Fedora Update System 2016-07-27 18:55:12 UTC
rpkg-1.46-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-07-27 20:53:22 UTC
rpkg-1.46-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-01 16:19:41 UTC
rpkg-1.46-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-05 21:49:27 UTC
rpkg-1.46-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.